IF NOT EXISTS (SELECT * FROM ConferenceRoomStatusType WITH (NOLOCK) WHERE StatusLetter = 'W')
BEGIN
  DECLARE @HallStatusID INT
  EXEC GetNextNumber 'HALLSTATUSTYPEIDENTITY', 1, @HallStatusID OUTPUT
  INSERT INTO ConferenceRoomStatusType (ConferenceRoomStatusTypeID, StatusLetter, StatusText, MarkAsDeleted) VALUES (@HallStatusID, 'W', 'Waiting', 0)
END
GO
IF NOT EXISTS (SELECT * FROM ConferenceRoomStatusType WITH (NOLOCK) WHERE StatusLetter = 'U')
BEGIN
  DECLARE @HallStatusID INT
  EXEC GetNextNumber 'HALLSTATUSTYPEIDENTITY', 1, @HallStatusID OUTPUT
  INSERT INTO ConferenceRoomStatusType (ConferenceRoomStatusTypeID, StatusLetter, StatusText, MarkAsDeleted) VALUES (@HallStatusID, 'U', 'Unavailable', 0)
END
GO
IF NOT EXISTS (SELECT * FROM ConferenceRoomStatusType WITH (NOLOCK) WHERE StatusLetter = 'D')
BEGIN
  DECLARE @HallStatusID INT  
  EXEC GetNextNumber 'HALLSTATUSTYPEIDENTITY', 1, @HallStatusID OUTPUT
  INSERT INTO ConferenceRoomStatusType (ConferenceRoomStatusTypeID, StatusLetter, StatusText, MarkAsDeleted) VALUES (@HallStatusID, 'D', 'Done', 0)
END
GO
